function gameinput (sender,obj_id,attachedID)
-----------------------------------------------------------------------------------------------------------------------
	if sender==30 then
		setcurentleaf("photolab",11,0);
		DarkScreen(true);
	---	speciale_action(2,502,true,2);		

	return;end;
	
	if sender==28 then

		if obj_id==1 then
			if frame==0 then
				BlockCursor(false);
				speciale_action(2,14);
				setcolor(1100,1,1,1,1,1);
				ScaleObject(2,0.9,1);
				set_text(1100,"250");
				frame=frame+1;
			return;end;
			 clear_satelite_leaf("photolab");
		return;end;

	return;end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender == 6 then		
		speciale_action(2,1100);
		MoveObjectY(1,-200,-385,2);
		SetAlfa(2,1,0);
		MoveObjectY(12,610,768,2);
		MoveObjectY(14,768,768,2);		
		addfade(-35,0);		
		visible_object(-35);
		speciale_action(4,-35);	
	return;end;
end
